<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/scroller"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="6dp" >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical" >

        <LinearLayout
            android:id="@+id/explainThisHeadingWrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginBottom="6dp"
            android:background="@drawable/white_line_button_background"
            android:clickable="true"
            android:paddingBottom="2dp"
            android:paddingLeft="12dp"
            android:paddingRight="12dp"
            android:paddingTop="2dp" >

            <TextView
                android:id="@+id/explainThisExpander"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="-"
                android:textColor="@color/off_white"
                android:textSize="20sp" />

            <TextView
                android:id="@+id/explainThisLabel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="8dp"
                android:text="Explain This"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </LinearLayout>

        <TextView
            android:id="@+id/help"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="-8dp"
            android:padding="6dp"
            android:text="Window help string goes here."
            android:textColor="@color/off_white"
            android:textSize="14sp" />

        <ImageView
            android:id="@+id/imageView1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:src="@drawable/window_arched" >

            <requestFocus />
        </ImageView>

        <LinearLayout
            android:id="@+id/horizontalWrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

            <RelativeLayout
                android:id="@+id/h1Wrapper"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="4dp" >

                <TextView
                    android:id="@+id/h1_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBaseline="@+id/h1"
                    android:layout_alignParentLeft="true"
                    android:text="h1: "
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/h1"
                    android:layout_width="48dip"
                    android:layout_height="36dip"
                    android:layout_alignParentTop="true"
                    android:layout_toRightOf="@+id/h1_label"
                    android:inputType="number"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/h1_in_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBaseline="@+id/h1"
                    android:layout_toRightOf="@+id/h1"
                    android:text=" in"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />
            </RelativeLayout>

            <RelativeLayout
                android:id="@+id/w1Wrapper"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="36dp"
                android:padding="4dp" >

                <TextView
                    android:id="@+id/w1_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBaseline="@+id/w1"
                    android:layout_alignParentLeft="true"
                    android:text="w1: "
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />

                <EditText
                    android:id="@+id/w1"
                    android:layout_width="48dip"
                    android:layout_height="36dip"
                    android:layout_alignParentTop="true"
                    android:layout_toRightOf="@+id/w1_label"
                    android:inputType="number"
                    android:textSize="14sp" />

                <TextView
                    android:id="@+id/w1_in_label"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignBaseline="@+id/w1"
                    android:layout_toRightOf="@+id/w1"
                    android:text=" in"
                    android:textColor="@color/off_white"
                    android:textSize="14sp" />
            </RelativeLayout>
        </LinearLayout>

        <RelativeLayout
            android:id="@+id/h2Wrapper"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="4dp" >

            <TextView
                android:id="@+id/h2_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h2"
                android:layout_alignParentLeft="true"
                android:text="h2: "
                android:textColor="@color/off_white"
                android:textSize="14sp" />

            <EditText
                android:id="@+id/h2"
                android:layout_width="48dip"
                android:layout_height="36dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@+id/h2_label"
                android:inputType="number"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/h2_in_label"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignBaseline="@+id/h2"
                android:layout_toRightOf="@+id/h2"
                android:text=" in"
                android:textColor="@color/off_white"
                android:textSize="14sp" />
        </RelativeLayout>

        <CheckBox
            android:id="@+id/shade_checkbox"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="This window is shaded by an overhang"
            android:textColor="@color/off_white"
            android:textSize="14sp" />
    </LinearLayout>

</ScrollView>